MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005831AContentInstall/Upgradepublic2018-01-07 16:592018-02-01 18:17
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.4 
Summary0005831: AContent install deprecated
DescriptionInstalling with PHP 7.0 the following Message is logged, while finishing Step 2 of an install. No other useful info provided. Siomewhere there's a deprecated method.


PHP Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; DAO has a deprecated constructor in /Applications/MAMP/htdocs/AContent/include/classes/DAO/DAO.class.php on line 21
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007678)
greg (administrator)
2018-01-10 19:26

7f8157b..844f2a6 master -> master
replaced DAO() function with __construct()
(0007680)
greg (administrator)
2018-01-12 20:08

Upgrade also updated with DAO()
(0007724)
greg (administrator)
2018-02-01 18:17

Resolved in AContent 1.4

- Issue History
Date Modified Username Field Change
2018-01-07 16:59 greg New Issue
2018-01-10 19:26 greg Note Added: 0007678
2018-01-10 19:26 greg Status new => resolved
2018-01-10 19:26 greg Fixed in Version => 1.4
2018-01-10 19:26 greg Resolution open => fixed
2018-01-10 19:26 greg Assigned To => greg
2018-01-12 20:08 greg Note Added: 0007680
2018-02-01 18:17 greg Note Added: 0007724
2018-02-01 18:17 greg Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker